Groovy 1.7.10

## org.codehaus.groovy.binding
[Java] Class AbstractFullBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding

All Implemented Interfaces:
  FullBinding

    public abstract class AbstractFullBinding
    extends Object

Authors:
  Danno Ferrin

Version:
  \$Revision: 16006 \$

Since:
  Groovy 1.1

Field Summary
`protected Closure` | `converter`
`protected Closure` | `reverseConverter`
`protected SourceBinding` | `sourceBinding`
`protected TargetBinding` | `targetBinding`
`protected Closure` | `validator`

Method Summary
`Closure` | `getConverter()`
`Closure` | `getReverseConverter()`
`SourceBinding` | `getSourceBinding()`
`TargetBinding` | `getTargetBinding()`
`Closure` | `getValidator()`
`void` | `reverseUpdate()`
`void` | `setConverter(Closure converter)`
`void` | `setReverseConverter(Closure reverseConverter)`
`void` | `setSourceBinding(SourceBinding sourceBinding)`
`void` | `setTargetBinding(TargetBinding targetBinding)`
`void` | `setValidator(Closure validator)`
`void` | `update()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### converter

    protected Closure converter

### reverseConverter

    protected Closure reverseConverter

### sourceBinding

    protected SourceBinding sourceBinding

### targetBinding

    protected TargetBinding targetBinding

### validator

    protected Closure validator

Method Detail

### getConverter

    public Closure getConverter()

### getReverseConverter

    public Closure getReverseConverter()

### getSourceBinding

    public SourceBinding getSourceBinding()

### getTargetBinding

    public TargetBinding getTargetBinding()

### getValidator

    public Closure getValidator()

### reverseUpdate

    public void reverseUpdate()

### setConverter

    public void setConverter(Closure converter)

### setReverseConverter

    public void setReverseConverter(Closure reverseConverter)

### setSourceBinding

    public void setSourceBinding(SourceBinding sourceBinding)

### setTargetBinding

    public void setTargetBinding(TargetBinding targetBinding)

### setValidator

    public void setValidator(Closure validator)

### update

    public void update()

Copyright © 2003-2010 The Codehaus. All rights reserved.